server:
  port: 6100

mybatis-plus:
  configuration:
    # log-impl: org.apache.ibatis.logging.stdout.StdOutImpl #开启sql日志
    log-impl: org.apache.ibatis.logging.nologging.NoLoggingImpl #关闭sql日志
    map-underscore-to-camel-case: true
  mapper-locations: classpath:/mapper/*Mapper.xml
  global-config:
    banner: false
    db-config:
      id-type: auto
      table-underline: true
      logic-delete-value: 1
      logic-not-delete-value: 0


spring:
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: '!QAZ2root'
    url: jdbc:mysql://192.168.1.205:3306/ipp-tl?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&allowMultiQueries=true&serverTimezone=Asia/Shanghai
  # 模板引擎
  thymeleaf:
    prefix: classpath:/templates/
    suffix: .html
    mode: HTML5
    encoding: UTF-8
    cache: false

calculate:
  service:
    enabled: true
    version: 0.0.1-SNAPSHOT

